MultipleFileDownloadManager | Methods |  |

## setUIProperties

MultipleFileDownloadManager와 MultipleFileDownloadMonitor AIR 객체의 UI 속성을 설정합니다.

#### Syntax

    void setUIProperties ( Object uiProperties )

#### Parameters

fileFilter

[in] MultipleFileDownloadManager와 MultipleFileDownloadMonitor AIR 객체의 UI 속성입니다.

#### Return Values

#### Remarks

#### Sample Codes

Javascript

    /**
    * UI Properties 변경
    */
    var resetUiProperties = function () {
    	var mainWidth = document.getElementById('mainWidth').value;
    	var mainHeight = document.getElementById('mainHeight').value;
    	var mainBorderColor = document.getElementById('mainBorderColor').value;
    	var bottomPanelDisplayStyle = (document.getElementsByName('bottomPanelDisplayStyle')[0].checked == true) ? 'block' : 'none';
    	var downloadButtonDisplayStyle = (document.getElementsByName('downloadButtonDisplayStyle')[0].checked == true) ? 'block' : 'none';
    	var downloadButtonDisabledStyle = (document.getElementsByName('downloadButtonDisabledStyle')[0].checked == true) ? true : false;

    	var managerProperties = new Object();
    	managerProperties.uiMode = 'MULTIPLE';                                          // FileDownloadManager UI 모드 설정
    	managerProperties.width = mainWidth;                                            // FileDownloadManager 너비
    	managerProperties.height = mainHeight;                                          // FileDownloadManager 높이
    	managerProperties.borderColor = mainBorderColor;                                // FileDownloadManager 보더 컬러
    	managerProperties.bottomPanelDisplayStyle = bottomPanelDisplayStyle;            // 하단 패널 Visible 상태
    	managerProperties.downloadButtonDisplayStyle = downloadButtonDisplayStyle;      // 다운로드 버튼 Visible 상태
    	managerProperties.downloadButtonDisabledStyle = downloadButtonDisabledStyle;    // 다운로드 버튼 Enabled 상태

    	namoCrossUploader.setDownloaderProperties(
    		JSON.stringify(managerProperties));                                         // FileDownloadManager 프로퍼티를 JSON 문자열로 전달

    	// 하단 패널, 또는 버튼의 visible, enabled 상태에 따라 html 버튼의 visibility 설정
    	document.getElementById("startDownload").style.visibility = "hidden";

    	if (bottomPanelDisplayStyle == 'none')
    		document.getElementById("startDownload").style.visibility = "visible";
    	else if (downloadButtonDisplayStyle == 'none' || downloadButtonDisabledStyle == true)
    		document.getElementById("startDownload").style.visibility = "visible";
    }